
Foreman - Bug #26592

Unable to set DHCP entry - TypeError: can't dup NilClass

04/11/2019 12:14 PM - Jeff Sparrow

Status: Resolved   

Priority: Immediate   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.21.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We just upgrade from Foreman/Proxies 1.19 to 1.21 and we can not create any DHCP entries now.

Any help would be appreciated as we are currently down across multiple sites.

2019-04-11T07:04:24 2f4be612 [I] Started GET /100.91.41.0/ip/100.91.41.193

2019-04-11T07:04:24 2f4be612 [E] No DHCP records for IP 100.91.41.0/100.91.41.193 found

2019-04-11T07:04:24 2f4be612 [D] No DHCP records for IP 100.91.41.0/100.91.41.193 found

2019-04-11T07:04:24 2f4be612 [I] Finished GET /100.91.41.0/ip/100.91.41.193 with 404 (7.0 ms)

2019-04-11T07:04:24  [D] close: 100.90.128.69:53798

2019-04-11T07:04:25  [D] accept: 100.90.128.69:53806

2019-04-11T07:04:25  [D] Rack::Handler::WEBrick is invoked.

2019-04-11T07:04:25 2f4be612 [I] Started POST /100.91.41.0

2019-04-11T07:04:25 2f4be612 [W] Error processing request '2f4be612-a261-4af0-a7af-59bf4b0d64c1

TypeError: can't dup NilClass

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1092:in `dup'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1092:in `block in dispatc

h!'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1092:in `each'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1092:in `dispatch!'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:924:in `block in call!'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1076:in `block in invoke'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1076:in `catch'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1076:in `invoke'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:924:in `call!'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:913:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-2.0.7/lib/rack/method_override.rb:22:in `call'

C:/foreman-proxy/mdc_foreman-proxy/smart-proxy-1.21_L3_4/lib/proxy/log.rb:86:in `call'

C:/foreman-proxy/mdc_foreman-proxy/smart-proxy-1.21_L3_4/lib/proxy/request_id_middleware.rb:14:in 

`call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-protection-2.0.5/lib/rack/protection/xss_header.rb:18:

in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-protection-2.0.5/lib/rack/protection/path_traversal.rb

:16:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-protection-2.0.5/lib/rack/protection/json_csrf.rb:26:i

n `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-protection-2.0.5/lib/rack/protection/base.rb:50:in `ca

ll'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-protection-2.0.5/lib/rack/protection/base.rb:50:in `ca

ll'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-protection-2.0.5/lib/rack/protection/frame_options.rb:

31:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-2.0.7/lib/rack/null_logger.rb:9:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-2.0.7/lib/rack/head.rb:12:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/show_exceptions.rb:22:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:194:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1957:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1502:in `block in call'
C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1729:in `synchronize'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/sinatra-2.0.5/lib/sinatra/base.rb:1502:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-2.0.7/lib/rack/urlmap.rb:68:in `block in call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-2.0.7/lib/rack/urlmap.rb:53:in `each'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-2.0.7/lib/rack/urlmap.rb:53:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-2.0.7/lib/rack/builder.rb:153:in `call'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/rack-2.0.7/lib/rack/handler/webrick.rb:86:in `service'

C:/Ruby23-x64/lib/ruby/2.3.0/webrick/httpserver.rb:140:in `service'

C:/Ruby23-x64/lib/ruby/2.3.0/webrick/httpserver.rb:96:in `run'

C:/Ruby23-x64/lib/ruby/2.3.0/webrick/server.rb:296:in `block in start_thread'

C:/Ruby23-x64/lib/ruby/gems/2.3.0/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in `blo

ck in create_with_logging_context'

2019-04-11T07:04:25 2f4be612 [I] Finished POST /100.91.41.0 with 500 (3.0 ms)

2019-04-11T07:04:25 2f4be612 [D] close: 100.90.128.69:53806

History

#1 - 04/11/2019 12:40 PM - Jeff Sparrow

- Subject changed from DHCP - ERF12-6899 [ProxyAPI::ProxyException]: Unable to set DHCP entry ([RestClient::InternalServerError]: 500 Internal

Server Error) to Unable to set DHCP entry - TypeError: can't dup NilClass

#2 - 04/11/2019 01:30 PM - Jeff Sparrow

Production log

[*PROD* root@puppet 130 /var/log/foreman]#  grep d5d4dac0 production.log

2019-04-11T08:19:01 [I|app|d5d4dac0] Started POST "/hosts" for 100.91.160.19 at 2019-04-11 08:19:01 -0500

2019-04-11T08:19:01 [I|app|d5d4dac0] Processing by HostsController#create as */*

2019-04-11T08:19:01 [I|app|d5d4dac0]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"yzZIXbwy2gkgL0ulRzr+Rf

Ix8lF6wrw2QfgjRXyRBUZP36gVS+Ootg6B94/MO+raEYJPc/xZ6nfFB71QdsWynQ==", "host"=>{"name"=>"saul-geiken", "organiza

tion_id"=>"2", "location_id"=>"1", "hostgroup_id"=>"257", "ansible_role_ids"=>[""], "config_group_ids"=>[""], 

"puppetclass_ids"=>[""], "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "inte

rfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"saul

-geiken", "domain_id"=>"2", "subnet_id"=>"17", "ip"=>"100.91.41.206", "ip6"=>"", "managed"=>"1", "primary"=>"1

", "provision"=>"1", "execution"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>"", "compute_attributes"=>{"t

ype"=>"VirtualVmxnet3", "network"=>"network-11"}}}, "compute_attributes"=>{"cpus"=>"2", "corespersocket"=>"2",

 "memory_mb"=>"4096", "firmware"=>"bios", "cluster"=>"ppt-esx-620-1.lab.beer.town", "resource_pool"=>"Resource

s", "path"=>"/Datacenters/Puppet Datacenter/vm", "guest_id"=>"otherGuest64", "hardware_version"=>"Default", "m

emoryHotAddEnabled"=>"0", "cpuHotAddEnabled"=>"0", "add_cdrom"=>"0", "start"=>"1", "annotation"=>"", "scsi_con

trollers"=>"{\"scsiControllers\":[{\"type\":\"VirtualLsiLogicSASController\",\"key\":1000}],\"volumes\":[{\"th

in\":\"true\",\"name\":\"Hard disk\",\"mode\":\"persistent\",\"controllerKey\":1000,\"datastore\":\"Puppet Dat

astore\",\"size\":52428800,\"sizeGb\":50,\"eagerZero\":\"false\"}]}"}, "architecture_id"=>"3", "operatingsyste

m_id"=>"75", "provision_method"=>"build", "build"=>"1", "medium_id"=>"9", "ptable_id"=>"199", "pxe_loader"=>"N

one", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"50-Users", "enabled"=>"1", "comment"=>"", "overwr

ite"=>"false"}}

2019-04-11T08:19:01 [I|app|d5d4dac0] Current user set to jsparrow (admin)

2019-04-11T08:19:01 [D|app|d5d4dac0] Current location set to Minnesota Design Center

2019-04-11T08:19:01 [D|app|d5d4dac0] Current organization set to Dell EMC

2019-04-11T08:19:01 [D|app|d5d4dac0] Scheduling new DHCP reservations for saul-geiken.lab.beer.town

2019-04-11T08:19:01 [D|app|d5d4dac0] Enqueued task 'dhcp_create_' to 'Host::Managed Main' queue

2019-04-11T08:19:01 [D|app|d5d4dac0] Scheduling new DNS entries

2019-04-11T08:19:01 [D|app|d5d4dac0] Enqueued task 'Create IPv4 DNS record for saul-geiken.lab.beer.town' to '

Host::Managed Main' queue

2019-04-11T08:19:01 [D|app|d5d4dac0] Enqueued task 'Create Reverse IPv4 DNS record for saul-geiken.lab.beer.to

wn' to 'Host::Managed Main' queue

2019-04-11T08:19:01 [D|app|d5d4dac0] Enqueued task 'Deploy TFTP PXELinux config for saul-geiken.lab.beer.town'

 to 'Host::Managed Main' queue

2019-04-11T08:19:01 [D|app|d5d4dac0] Enqueued task 'Deploy TFTP PXEGrub2 config for saul-geiken.lab.beer.town'

 to 'Host::Managed Main' queue

2019-04-11T08:19:01 [D|app|d5d4dac0] Enqueued task 'Deploy TFTP PXEGrub config for saul-geiken.lab.beer.town' 

to 'Host::Managed Main' queue

2019-04-11T08:19:01 [D|app|d5d4dac0] Enqueued task 'Deploy TFTP iPXE config for saul-geiken.lab.beer.town' to 

'Host::Managed Main' queue

2019-04-11T08:19:01 [D|app|d5d4dac0] Enqueued task 'Fetch TFTP boot files for saul-geiken.lab.beer.town' to 'H

ost::Managed Main' queue

2019-04-11T08:19:02 [D|app|d5d4dac0] Enqueued task 'Set up compute instance saul-geiken.lab.beer.town' to 'Hos

t::Managed Main' queue

2019-04-11T08:19:02 [D|app|d5d4dac0] Enqueued task 'Query instance details for saul-geiken.lab.beer.town' to '

Host::Managed Main' queue

2019-04-11T08:19:02 [D|app|d5d4dac0] Enqueued task 'Power up compute instance saul-geiken.lab.beer.town' to 'H

ost::Managed Main' queue

2019-04-11T08:19:02 [D|app|d5d4dac0] Enqueued task 'Cleanup PuppetCA certificates for saul-geiken.lab.beer.tow

n' to 'Host::Managed Post' queue
2019-04-11T08:19:02 [D|app|d5d4dac0] Enqueued task 'Enable PuppetCA autosigning for saul-geiken.lab.beer.town'

 to 'Host::Managed Post' queue

2019-04-11T08:19:02 [D|app|d5d4dac0] Processing task 'Set up compute instance saul-geiken.lab.beer.town' from 

'Host::Managed Main'

2019-04-11T08:19:02 [I|app|d5d4dac0] Adding Compute instance for saul-geiken.lab.beer.town

2019-04-11T08:19:02 [D|app|d5d4dac0] Reading from compute resource cache: networks

2019-04-11T08:19:03 [D|app|d5d4dac0] Processing task 'Query instance details for saul-geiken.lab.beer.town' fr

om 'Host::Managed Main'

2019-04-11T08:19:03 [D|app|d5d4dac0] Orchestration::Compute: Trying to match network interfaces from fog   <Fo

g::Compute::Vsphere::Interfaces

2019-04-11T08:19:03 [D|app|d5d4dac0] Orchestration::Compute: nic #<Nic::Managed id: nil, mac: nil, ip: "100.91

.41.206", type: "Nic::Managed", name: "saul-geiken.lab.beer.town", host_id: nil, subnet_id: 17, domain_id: 2, 

attrs: {}, created_at: nil, updated_at: nil, provider: nil, username: nil, password: nil, virtual: false, link

: true, identifier: "", tag: "", attached_to: "", managed: true, mode: "balance-rr", attached_devices: "", bon

d_options: "", primary: true, provision: true, compute_attributes: {"type"=>"VirtualVmxnet3", "network"=>"netw

ork-11"}, execution: true, ip6: "", subnet6_id: nil> assigned to   <Fog::Compute::Vsphere::Interface

2019-04-11T08:19:03 [D|app|d5d4dac0] Processing task 'Create DHCP Settings for saul-geiken.lab.beer.town' from

 'Host::Managed Main'

2019-04-11T08:19:03 [I|app|d5d4dac0] Create DHCP reservation saul-geiken.lab.beer.town for saul-geiken.lab.bee

r.town-00:50:56:b2:06:47/100.91.41.206

2019-04-11T08:19:03 [D|app|d5d4dac0] DHCP reservation on net 100.91.41.0 with attrs: {:hostname=>"saul-geiken.

lab.beer.town", :mac=>"00:50:56:b2:06:47", :ip=>"100.91.41.206", :network=>"100.91.41.0", :nextServer=>"100.90

.128.69", :name=>"saul-geiken.lab.beer.town", :related_macs=>[]}

2019-04-11T08:19:03 [W|app|d5d4dac0] Create DHCP Settings for saul-geiken.lab.beer.town task failed with the f

ollowing error: ERF12-6899 [ProxyAPI::ProxyException]: Unable to set DHCP entry ([RestClient::InternalServerEr

ror]: 500 Internal Server Error) for proxy https://foreman-deploy.lab.beer.town:8448/dhcp

2019-04-11T08:19:03 [W|app|d5d4dac0] Rolling back due to a problem: [#<Orchestration::Task:0x00007f6a0f807e30 

@name="Create DHCP Settings for saul-geiken.lab.beer.town", @id="dhcp_create_", @status="failed", @priority=10

, @action=[#<Nic::Managed id: nil, mac: "00:50:56:b2:06:47", ip: "100.91.41.206", type: "Nic::Managed", name: 

"saul-geiken.lab.beer.town", host_id: nil, subnet_id: 17, domain_id: 2, attrs: {}, created_at: nil, updated_at

: nil, provider: nil, username: nil, password: nil, virtual: false, link: true, identifier: "", tag: "", attac

hed_to: "", managed: true, mode: "balance-rr", attached_devices: "", bond_options: "", primary: true, provisio

n: true, compute_attributes: {"type"=>"VirtualVmxnet3", "network"=>"network-11"}, execution: true, ip6: "", su

bnet6_id: nil>, :set_dhcp], @created=1554988741.7866054, @timestamp=2019-04-11 13:19:03 UTC>]

2019-04-11T08:19:03 [I|app|d5d4dac0] Removing Compute instance for saul-geiken.lab.beer.town

2019-04-11T08:19:03 [I|app|d5d4dac0] Processed 2 tasks from queue 'Host::Managed Main', completed 0/11

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Set up compute instance saul-geiken.lab.beer.town' *rollbacked*

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Query instance details for saul-geiken.lab.beer.town' *rollbacked*

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Create DHCP Settings for saul-geiken.lab.beer.town' *failed*

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Create IPv4 DNS record for saul-geiken.lab.beer.town' *canceled*

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Create Reverse IPv4 DNS record for saul-geiken.lab.beer.town' *canc

eled*

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Deploy TFTP PXELinux config for saul-geiken.lab.beer.town' *cancele

d*

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Deploy TFTP PXEGrub2 config for saul-geiken.lab.beer.town' *cancele

d*

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Deploy TFTP PXEGrub config for saul-geiken.lab.beer.town' *canceled

*

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Deploy TFTP iPXE config for saul-geiken.lab.beer.town' *canceled*

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Fetch TFTP boot files for saul-geiken.lab.beer.town' *canceled*

2019-04-11T08:19:03 [E|app|d5d4dac0] Task 'Power up compute instance saul-geiken.lab.beer.town' *canceled*

2019-04-11T08:19:03 [E|app|d5d4dac0] Failed to save: Create DHCP Settings for saul-geiken.lab.beer.town task f

ailed with the following error: ERF12-6899 [ProxyAPI::ProxyException]: Unable to set DHCP entry ([RestClient::

InternalServerError]: 500 Internal Server Error) for proxy https://foreman-deploy.lab.beer.town:8448/dhcp

2019-04-11T08:19:03 [I|app|d5d4dac0]   Rendering hosts/new.html.erb within layouts/application

2019-04-11T08:19:03 [I|app|d5d4dac0]   Rendered hosts/_progress.html.erb (0.3ms)

2019-04-11T08:19:03 [D|app|d5d4dac0] Current organization set to Dell EMC

2019-04-11T08:19:03 [D|app|d5d4dac0] Current location set to Minnesota Design Center

2019-04-11T08:19:03 [I|app|d5d4dac0]   Rendered hosts/puppet/_main_tab_fields.html.erb (6.2ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (8.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (2.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.5ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)
2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.7ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (2.0ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (3.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.7ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.7ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (2.1ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.7ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_group.html.erb (1.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered config_groups/_config_groups_selection.html.erb (76.0ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered collection of puppetclasses/_selectedClasses.html.erb [0 times

] (0.0ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered collection of puppetclasses/_classes_in_groups.html.erb [0 tim

es] (0.0ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered puppetclasses/_classes.html.erb (119.8ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered puppetclasses/_class_selection.html.erb (237.0ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered hosts/puppet/_puppet_classes_tab.html.erb (238.0ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered nic/_base_form.html.erb (76.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered nic/_virtual_form.html.erb (1.3ms)

2019-04-11T08:19:04 [D|app|d5d4dac0] Reading from compute resource cache: networks

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered compute_resources_vms/form/vmware/_network.html.erb (1.1ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered nic/_provider_specific_form.html.erb (1.7ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered nic/manageds/_managed.html.erb (80.8ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered nic/_base_form.html.erb (73.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered nic/_virtual_form.html.erb (1.2ms)

2019-04-11T08:19:04 [D|app|d5d4dac0] Reading from compute resource cache: networks

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered compute_resources_vms/form/vmware/_network.html.erb (1.0ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered nic/_provider_specific_form.html.erb (1.6ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered nic/manageds/_managed.html.erb (77.8ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered hosts/_interfaces.html.erb (160.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered hosts/_compute.html.erb (25.9ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered common/os_selection/_architecture.html.erb (3.5ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered common/os_selection/_pxe_loader.html.erb (1.0ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered common/os_selection/_operatingsystem.html.erb (24.6ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered hosts/provision_method/build/_form.html.erb (25.7ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered hosts/provision_method/image/_form.html.erb (0.2ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered hosts/_operating_system.html.erb (33.4ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered hosts/_unattended.html.erb (59.9ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered collection of puppetclasses/_class_parameters.html.erb [0 time

s] (0.0ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered puppetclasses/_classes_parameters.html.erb (8.9ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered common_parameters/_inherited_parameters.html.erb (5.6ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered common_parameters/_parameter.html.erb (1.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered common_parameters/_parameters.html.erb (3.0ms)

2019-04-11T08:19:04 [D|app|d5d4dac0] Current location set to Minnesota Design Center

2019-04-11T08:19:04 [D|app|d5d4dac0] Current organization set to Dell EMC

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered hosts/_form.html.erb (606.6ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered hosts/new.html.erb within layouts/application (607.3ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered layouts/_application_content.html.erb (1.1ms)

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendering layouts/base.html.erb

2019-04-11T08:19:04 [I|app|d5d4dac0]   Rendered layouts/base.html.erb (15.1ms)

2019-04-11T08:19:04 [I|app|d5d4dac0] Completed 200 OK in 2854ms (Views: 610.7ms | ActiveRecord: 45.4ms)

#3 - 04/11/2019 01:44 PM - Jeff Sparrow

- Status changed from New to Resolved

I was able to resolve this by uninstalling the proxies.  Uninstalling Ruby 2.3.  Installing Ruby 2.4 and reinstalling the proxies.
